package.path = package.path ..';./Scripts/DemoScenes/?.lua;'
local sceneEnvironment = require("demosceneEnvironment")

scene = {} --     

function loadScene(scenePtr)
	sceneAPI = sceneEnvironment.getInterface(scenePtr)
	sceneAPI:setUpdateFunc('sceneVRUpdate')
	sceneAPI:setEnvironmentMap("Bazar/Graphics/VRMainScene.dds",0.9);
	sceneAPI:setSun(math.rad(-90), math.rad(0)) --       


	scene.m			= sceneAPI:addModel("F-14B", -3, 1.8, -4); -- lower moves back, lower is lower, lower moves right
        scene.m:setLivery("VF-103 Jolly Rogers Hi Viz", "F-14B");
	scene.m.transform:setOrient(0,-30,0)	--sets angle around the three axes
	scene.m:setArgument(0, 1); -- nosewheel direction
	scene.m:setArgument(1, 0.127); -- nosewheel extension
	scene.m:setArgument(3, 1); -- stbd wing wheel down
	scene.m:setArgument(5, 1); -- port wing wheel down
	scene.m:setArgument(4, 0.85); -- stbd wing wheel compression
	scene.m:setArgument(6, 0.85); -- port wing wheel compression
	scene.m:setArgument(38, 0.989); -- canopy open
	scene.m:setArgument(50, 0.499); -- wings in oversweep
	scene.m:setArgument(117, 1); -- canopy up
	scene.m:setArgument(50, 0.510);
	scene.m:setArgument(472, 0.619);

	local cam_level = 1.8

	scene.cam		= sceneAPI:addCamera(3, cam_level , 3)
	scene.cam:setFarClip(1000.0)
	scene.cam:setFov(90)
	scene.cam.transform:lookAtPoint(-10.0, cam_level, 0);


	scene.flr		= sceneAPI:addModel("shelter_floor", 0,0,0);
	scene.flr:drawToEnvironment(true);
	scene.flr.transform:scale(2,1.5,1.5);

	scene.sh		= sceneAPI:addModel("ukrytie", 0,0,0); 
	scene.sh:drawToEnvironment(true);
	scene.sh.transform:scale(2,2,2);

	scene.L1			= sceneAPI:addLightOmni(0, 25, 0,	1,0.8,0.5);
	scene.L1:setRadius(200);
	scene.L1:setAmount(1);

	scene.cam:setActive()

	preloadList = 
	{
		{"su-27", 		  {}, {}},
		{"shelter_floor", {}, {}},
		{"ukrytie", 	  {}, {}},
	}
	sceneAPI:waitForModels(preloadList)	
end

--[0;1]
local function pingpong(length, t)
	local tt = (t%length)*2/length
	if tt>1 then tt = 2-tt end
	return tt
end


function sceneVRUpdate(t, dt)

end



